Package weka.clusterers

# Class SingleClustererEnhancer

java.lang.Object
weka.clusterers.AbstractClusterer
weka.clusterers.SingleClustererEnhancer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Clusterer`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `FilteredClusterer`

public abstract class SingleClustererEnhancer extends AbstractClusterer implements OptionHandler
Meta-clusterer for enhancing a base clusterer.

Version:
  $Revision: 1.4 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SingleClustererEnhancer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`clustererTipText()`
Returns the tip text for this property
`Capabilities`
`getCapabilities()`
Returns default capabilities of the clusterer.
`Clusterer`
`getClusterer()`
Get the clusterer used as the base clusterer.
`String[]`
`getOptions()`
Gets the current settings of the clusterer.
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`int`
`numberOfClusters()`
Returns the number of clusters.
`void`
`setClusterer(Clusterer value)`
Set the base clusterer.
`void`
`setOptions(String[] options)`
Parses a given list of options.

### Methods inherited from class weka.clusterers.AbstractClusterer

`buildClusterer, clusterInstance, distributionForInstance, forName, getRevision, makeCopies, makeCopy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleClustererEnhancer

public SingleClustererEnhancer()

## Method Details

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses a given list of options.

Specified by:
  `setOptions` in interface `OptionHandler`
Parameters:
  `options` - the list of options as an array of strings
Throws:
  `Exception` - if an option is not supported

### getOptions

public String[] getOptions()
Gets the current settings of the clusterer.

Specified by:
  `getOptions` in interface `OptionHandler`
Returns:
  an array of strings suitable for passing to setOptions

### clustererTipText

public String clustererTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setClusterer

public void setClusterer(Clusterer value)
Set the base clusterer.

Parameters:
  `value` - the classifier to use.

### getClusterer

public Clusterer getClusterer()
Get the clusterer used as the base clusterer.

Returns:
  the base clusterer

### getCapabilities

public Capabilities getCapabilities()
Returns default capabilities of the clusterer.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Specified by:
  `getCapabilities` in interface `Clusterer`
Overrides:
  `getCapabilities` in class `AbstractClusterer`
Returns:
  the capabilities of this clusterer
See Also:
  - `Capabilities`

### numberOfClusters

public int numberOfClusters() throws Exception
Returns the number of clusters.

Specified by:
  `numberOfClusters` in interface `Clusterer`
Specified by:
  `numberOfClusters` in class `AbstractClusterer`
Returns:
  the number of clusters generated for a training dataset.
Throws:
  `Exception` - if number of clusters could not be returned successfully